MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Meta-Operators >

# displayParticles : Helper

    displayParticles- superclass: helper super-superclass:node - classID: #(1962490626, 515064320)

Value > MAXWrapper > Node > Helper > displayParticles

| Particle Flow - Quick Navigation

Description:

The DisplayParticles object exposes the Display operator and lets you specify how particles appear in the viewports. In addition to geometry, it provides a variety of simple shapes that provide fast feedback in testing animation, as well as the ability to easily distinguish among particles in different events. It also lets you set the percentage of visible particles.

Constructor:

    DisplayParticles...

Properties:

    <displayParticles>.Type Integer default:2 -- integer

Controls how particles appear in the viewports. The two-dimensional particle markers depict position only. Geometry shows how particles will actually render, in three dimensions; Lines shows speed and direction of motion; and BoundingBox reflects scale and orientation.

Possible values are:

0: None - Particles do not appear in the viewports.

1: Dots - Each particle appears as a single pixel.

2: Ticks - Each particle appears as a + sign.

3: Circles - Each particle appears as a small circle.

4: Lines - Each particle appears as a line, one pixel thick. The line's length indicates particle speed, and its orientation reflects the direction of motion. Use this option for fast, accurate feedback when experimenting with the Speed operators.

5: BoundingBox - Each particle appears as a bounding box. Use this option for a good representation of the final animation, at a slight cost in computational speed.

6: Geometry - Each particle appears as its actual geometry. Use this option for the best representation of the final animation, at the greatest cost in computational speed.

7: Diamonds - Each particle appears as a diamond.

8: Boxes - Each particle appears as a small square.

9: Asterisks - Each particle appears as an asterisk (*).

10: Triangles - Each particle appears as a small triangle.

    <displayParticles>.Visible Float default:100.0 --percentage

Specifies the percentage of particles visible in the viewports. This option lets you speed up viewport redrawing by reducing the number of visible particles

    <displayParticles>.Color RGB color

Get/Set the color used to draw particles in the viewport.

    <displayParticles>.Show_Numbering Boolean default:false

When set to true , each particle's unique index number is visible in the viewports. Particles are numbered in the order of their birth, starting with 1 for the first particle born

    <displayParticles>.Selected_Type Integer default:2

Controls how selected particles appear in the viewports. The options are the same as in .Type .

## displayParticles Interfaces:

Interface: action

Interface: operator

Interface: PViewItem

#### See Also

- renderParticles : Helper

- Particle Flow Classes